List Documents
curl --request GET \
--url https://api.rolla.xyz/api/v1/external/accounts/{accountId}/documents \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.rolla.xyz/api/v1/external/accounts/{accountId}/documents"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.rolla.xyz/api/v1/external/accounts/{accountId}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"message": "Documents retrieved successfully",
"success": true,
"data": [
{
"id": "0c95b2a1-7a93-4a3a-9a52-2a1f0b9b3c11",
"kyb_application_id": "fbb45236-881a-4c58-8954-22759499eab4",
"document_type": "certificate_of_incorporation",
"file_name": "certificate.pdf",
"file_path": "fbb45236-881a-4c58-8954-22759499eab4/certificate_of_incorporation/certificate_1789655131420.pdf",
"file_size": 248301,
"mime_type": "application/pdf",
"is_required": false,
"uploaded_at": "2026-09-17T14:25:31.420Z"
},
{
"id": "1d06c3b2-8ba4-4b4b-8b63-3b201c0c4d22",
"kyb_application_id": "fbb45236-881a-4c58-8954-22759499eab4",
"document_type": "proof_of_address",
"file_name": "utility_bill.pdf",
"file_path": "fbb45236-881a-4c58-8954-22759499eab4/related-persons/a3d4f21e-f499-488f-8508-43228dfea485/proof_of_address/utility_bill_1789657367883.pdf",
"file_size": 102844,
"mime_type": "application/pdf",
"is_required": false,
"uploaded_at": "2026-09-17T15:02:47.883Z"
}
]
}{
"status": 400,
"message": "Validation failed",
"code": "ACCOUNT_RESTRICTED",
"errors": [
{
"path": [
"amount"
],
"message": "amount must be a whole number of smallest currency units (e.g. cents)"
}
]
}{
"status": 400,
"message": "Validation failed",
"code": "ACCOUNT_RESTRICTED",
"errors": [
{
"path": [
"amount"
],
"message": "amount must be a whole number of smallest currency units (e.g. cents)"
}
]
}{
"status": 400,
"message": "Validation failed",
"code": "ACCOUNT_RESTRICTED",
"errors": [
{
"path": [
"amount"
],
"message": "amount must be a whole number of smallest currency units (e.g. cents)"
}
]
}Documents
List Documents
Lists every document uploaded against the account’s application, including documents attached to its related persons. Optionally filter by documentType.
GET
/
accounts
/
{accountId}
/
documents
List Documents
Lists every document uploaded to an account’s application, including the documents attached to its related persons. Optionally filter by
documentType.
Example Request
curl -X GET "https://api.rolla.xyz/api/v1/external/accounts/eec3cbed-79d8-4370-87a0-b6be9e287337/documents" \
-H "X-API-Key: your_api_key_here"
Example Response
{
"status": 200,
"message": "Documents retrieved successfully",
"success": true,
"data": [
{
"id": "0c95b2a1-7a93-4a3a-9a52-2a1f0b9b3c11",
"kyb_application_id": "fbb45236-881a-4c58-8954-22759499eab4",
"document_type": "certificate_of_incorporation",
"file_name": "certificate.pdf",
"file_path": "fbb45236-881a-4c58-8954-22759499eab4/certificate_of_incorporation/certificate_1789655131420.pdf",
"file_size": 248301,
"mime_type": "application/pdf",
"is_required": false,
"uploaded_at": "2026-09-17T14:25:31.420Z"
},
{
"id": "1d06c3b2-8ba4-4b4b-8b63-3b201c0c4d22",
"kyb_application_id": "fbb45236-881a-4c58-8954-22759499eab4",
"document_type": "proof_of_address",
"file_name": "utility_bill.pdf",
"file_path": "fbb45236-881a-4c58-8954-22759499eab4/related-persons/a3d4f21e-f499-488f-8508-43228dfea485/proof_of_address/utility_bill_1789657367883.pdf",
"file_size": 102844,
"mime_type": "application/pdf",
"is_required": false,
"uploaded_at": "2026-09-17T15:02:47.883Z"
}
]
}
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
documentType | string | No | Return only documents of this type. Must be one of the document types |
The listing is not filtered by related person, and there is no
relatedPersonId field on a document. A document attached to a person is recognised by related-persons/<relatedPersonId> in its file_path.Authorizations
Your Rolla API key
Path Parameters
Identifier of an account owned by the same user as your API key's business
Query Parameters
Return only documents of this type
Available options:
certificate_of_incorporation, articles_of_association, proof_of_address, source_of_wealth_doc, director_register, shareholder_register, proof_of_tax_id, bank_statement, wolfsberg_questionnaire, msb_flow_form, flow_of_funds_diagram, aml_policy_procedures, ach_procedures, wire_procedures, customer_complaint_procedures, prohibited_jurisdictions_industries